> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Events

> Fetch All Events



## OpenAPI

````yaml /api-reference/funnels/openapi.json get /funnels/event
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/event:
    get:
      summary: Fetch All Events
      description: Fetch All Events
      operationId: fetchAllEvents
      parameters:
        - name: locationId
          required: true
          in: query
          description: locationId
          schema:
            example: '123456789'
            type: string
        - name: funnelId
          required: true
          in: query
          description: funnelId
          schema:
            example: '123456789'
            type: string
        - name: page
          required: true
          in: query
          description: page
          schema:
            example: 1
            type: number
        - name: limit
          required: true
          in: query
          description: limit
          schema:
            default: 10
            example: 10
            type: number
      responses:
        '200':
          description: Successful response
        '500':
          description: Internal Server Error

````